Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpParamList

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpParamList

public class HttpParamList
extends BasicValue

This class parses name->value pairs, used in Authentication Info

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpParamList()`
`HttpParamList(boolean isValid)`

Method Summary
`java.lang.String` | `getParameter(java.lang.String name)` Get a parameter.
`java.lang.Object` | `getValue()`
`protected void` | `parse()` parse.
`void` | `setParameter(java.lang.String name, java.lang.String value)` Set an authentication parameter.
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpParamList

    public HttpParamList(boolean isValid)

### HttpParamList

    public HttpParamList()

Method Detail

### parse

    protected void parse()
                  throws HttpParserException

  parse.
  Throws:
    HttpParserException - if parsing failed.
  Overrides:
    parse in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Get a parameter.
  Parameters:
    `name` - The name of the parameter to fetch.
  Returns:
    The String value, or null if undefined.

### setParameter

    public void setParameter(java.lang.String name,
                             java.lang.String value)

  Set an authentication parameter.
  Parameters:
    `name` - The name of the authentication parameter.
    `value` - The value of the authentication parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD